function Cmp04200_LiberacaoAfInconsistenteForaLimite_Service(restEngine) {
    
    this.confirmaSenhaGerente = function(row) {
        return restEngine.post('cmp_fornecimento_autorizacaoFornecimento#/cmp_fornecimento_autorizacaoFornecimento/AF/confirmaSenhaGerente', {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.considerarAFsTodosCompradoresNaValidacaoDoLimiteGerente = function(row) {
        return restEngine.post('cmp_fornecimento_autorizacaoFornecimento#/cmp_fornecimento_autorizacaoFornecimento/cmp04200liberacaoaf/verificaIDAFCOMPLIMGER', {
            "requestType": "Row",
            "row": row
        });
    };

    this.enviarEmailAosResponsaveisPelaAF = function(row) {
        return restEngine.post('cmp_fornecimento_autorizacaoFornecimento#/cmp_fornecimento_autorizacaoFornecimento/enviarEmailParaOperadoresResponsaveisPelaAf', {
            "requestType": "Row",
            "row": row
        });
    };
    
    this.liberarAutorizacaoFornecimento = function(dataset) {
        return restEngine.post('cmp_fornecimento_autorizacaoFornecimento#/cmp_fornecimento_autorizacaoFornecimento/cmp04200liberacaoaf/liberar', {
            "requestType": "DataSet",
            "dataset": dataset
        });
    };
    
    this.verificaUtilizaWorkflow = function(row) {
        return restEngine.post('cmp_fornecimento_autorizacaoFornecimento#/cmp04200liberacaoaf/verificaUtilizaWorkflow', {
            "requestType": "Row",
            "row": row
        });
    };
}

Configuration(function (ContextRegister) {
    ContextRegister.register('Cmp04200_LiberacaoAfInconsistenteForaLimite_Service', Cmp04200_LiberacaoAfInconsistenteForaLimite_Service);
});
    
    
