var Cmp05600_NumeroDeAfsPorFornecedorRegiao_Controller = function(General, ScreenService, ZhFilterPreferences, Utilities){
    
    this.setFilterInitValues = function(widget){   
	    var filterRow = { };                                                                                                                                                                                                                                  
	    
	    filterRow.DT_INTERVAL = {};                                                                                                                                                                                                                                                                              
        filterRow.DT_INTERVAL.start = moment().format('L');                                                                                                                                                                                                                                        
        filterRow.DT_INTERVAL.end = moment().format('L');                                                                                                                                                                                                                                   

        ZhFilterPreferences.setOriginalFilter(widget.id, filterRow);                                                                                                                                                                                                                         
    };
    
	this.widgetOnEnter = function(widget) {
	    var filterRow = { };        
	    filterRow.DT_INTERVAL = {};    
	    filterRow.DT_INTERVAL.start = moment().format('L');                                                                                                                                                                                                                                        
        filterRow.DT_INTERVAL.end = moment().format('L'); 
        filterRow.DT_INTERVAL.formattedStart = moment().format('L');                                                                                                                                                                                                                                        
        filterRow.DT_INTERVAL.formattedEnd = moment().format('L');    
        
    	Utilities.startFilter(widget, filterRow);
    	//this.setFilterInitValues(widget);
    };
    
    this.setStripe = function(widget){
        var filterRow = widget.appliedFilter.FILTER_ROW;
		var stripe = widget.container.getWidget('stripe');
		
		stripe.currentRow.PERIODO	= filterRow.DT_INTERVAL.start + " à " + filterRow.DT_INTERVAL.end;
		if(filterRow.NMREGIAO){
	        stripe.currentRow.REGIAO = Util.isEmptyObject(filterRow.NMREGIAO) ? ScreenService.i18n("Todas") : filterRow.NMREGIAOALT.join(" - ");
	        stripe.getField('REGIAO').isVisible = true;
		}
	};
    this.setCustomFilterRow = function(args) {
         args.e.preference.CUSTOM_FILTER_ROW = {};
    };
    	   
	this.filtrar = function(args) {
	    args.e.preventDefault();

	    var widget = args.owner;
        var filterRow = args.e.preference.FILTER_ROW;
        
        var regiao = (filterRow.NMREGIAO) ? filterRow.NMREGIAO.join("_") : 'T';
        
        widget.container.getWidget('regiao').dataSourceFilter = 
        [
	        {
                "name": "P_DATAINI",
                "operator": "=",
                "value": filterRow.DT_INTERVAL.start
            },
            {
                "name": "P_DATAFIM",
                "operator": "=",
                "value": filterRow.DT_INTERVAL.end
            },
            {
                "name": "P_CDREGIAO",
                "operator": "=",
                "value": regiao
            },
            {
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
            },
			{
				"operator": "ORDER_BY",
				"name": [{
					"name": "CDREGIAO",
					"direction": "ASC"
				}]
			}
        ];
        
        widget.container.getWidget('regiao').currentRow.P_DATAINI = filterRow.DT_INTERVAL.start;
        widget.container.getWidget('regiao').currentRow.P_DATAFIM = filterRow.DT_INTERVAL.end;
        
        
        widget.container.getWidget('fornecedor').dataSourceFilter = [
	        {
                "name": "P_DATAINI",
                "operator": "=",
                "value": filterRow.DT_INTERVAL.start
            },
            {
                "name": "P_DATAFIM",
                "operator": "=",
                "value": filterRow.DT_INTERVAL.end
            },
            {
                "name": "P_CDREGIAO",
                "operator": "=",
                "value": regiao
            },
            {
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
            },
            {
				"operator": "ORDER_BY",
				"name": [{
					"name": "NRINSJURFORN",
					"direction": "ASC"
				}]
			}
        ];
        
        widget.container.getWidget('fornecedor').reload();
        widget.container.getWidget('regiao').reload();
        
        this.setStripe(widget);
	};
    
    this.filtrarFornecedor = function(args) {
        args.e.preventDefault();
	    
	    var widget = args.owner;
        var filterRow = widget.appliedFilter.FILTER_ROW;
        
        var filter = [
	        {
                "name": "P_DATAINI",
                "operator": "=",
                "value": filterRow.DT_INTERVAL.start
            },
            {
                "name": "P_DATAFIM",
                "operator": "=",
                "value": filterRow.DT_INTERVAL.end
            },
            {
                "name": "P_CDREGIAO",
                "operator": "=",
                "value": widget.currentRow.CDREGIAO
            },
            {
                "name": "NRORG",
                "operator": "=",
                "value": getLocalVar('NRORG')
            },
			{
				"operator": "ORDER_BY",
				"name": [{
					"name": "NRINSJURFORN",
					"direction": "ASC"
				}]
			}
        ];
        
        widget.container.getWidget('afsFornecedor').dataSourceFilter = filter;
        
        widget.container.getWidget('afsFornecedor').reload();
		
	};

};

Configuration(function(ContextRegister) {
    ContextRegister.register('Cmp05600_NumeroDeAfsPorFornecedorRegiao_Controller', Cmp05600_NumeroDeAfsPorFornecedorRegiao_Controller);
});